<?php ob_start();require_once( 'admin/cms.php' ); ?>
<cms:template title='Mailer' parent='_templates_' order='1' executable='0' clonable='0' hidden='0' >

	<cms:editable order='1' name='from' type='text' label='From' desc='Sender Email Address' required='1' >john.doe@example.com</cms:editable>

	<cms:editable order='2' name='subject' type='text' label='Subject' required='1' >Example Subject</cms:editable>

	<cms:editable order='3' name='content' type='textarea' label='Content' height='110' required='0' >
<p>Hello [firstname] [lastname]</p>
<p>This is an example mail content text.</p>
<p>Regards,<br/>John</p>
	</cms:editable>

	<cms:editable order='4' name='signature' type='textarea' label='Signature' height='150' required='0' >
<p>---<br/>
John Doe<br/>
Example Street 1<br/>
95454 Example<br/>
Phone: 001 123 456 789<br/>
Email: john.doe@example.com<br/></p>
	</cms:editable>

	<cms:editable order='5' name='action_helper' type='text' label='Action temporary placeholder' >0</cms:editable>
	<cms:editable order='6' name='selected_helper' type='text' label='Selected items temporary placeholder' />

	<cms:config_form_view>

		<!-- Take the value of the frm_action field an save it to the action editable -->
		<cms:persist
			action_helper=frm_action_helper
			selected_helper=frm_recipient_id
			temp=""
			_auto_title='1'
		/>

		<!-- Placeholder field in order to process couch tags and application logic -->
		<cms:field 'placeholder' no_wrapper='1' group='group_firmenstatus' order='0'>

			<!-- Application logic based on the value saved in the 'action' editable / chosen in the action dropdown field -->
			<cms:if action_helper='1'>
				<!-- Send a test mail to the 'from' email address -->
				<cms:send_mail from=from to=from subject=subject html='1'><html><head></head><body><cms:show content /><cms:show signature /></body></html></cms:send_mail>
				<cms:show_success heading='Success' >
					Test mail sent to <cms:show from />
				</cms:show_success>
			</cms:if>

			<cms:if action_helper='2'>
				<cms:if selected_helper!=''>
					<!-- Send mail to selected_helper mail addresses in cloned templates of mailing_list.php -->
					<cms:pages masterpage='mailing_list.php' id=selected_helper >
						<cms:send_mail from=from to=mail subject=subject html='1'><html><head></head><body><cms:do_shortcodes><cms:show content /><cms:show signature /></cms:do_shortcodes></body></html></cms:send_mail>
					</cms:pages>
					<cms:show_success heading='Success' >
						Mail sent to the following people:
						<ul>
						<cms:pages masterpage='mailing_list.php' id=selected_helper >
							<li><cms:show firstname /> <cms:show lastname /></li>
						</cms:pages>
						</ul>
					</cms:show_success>
				<cms:else/>
					<cms:show_warning heading='Warning' >
						No mails were sent because no item was selected
					</cms:show_warning>
				</cms:if>
			</cms:if>

			<!-- Set the action editable back to 0 -->
			<cms:db_persist
				_masterpage=k_template_name
				_mode='edit'
				action_helper='0'
				selected_helper=''
			/>
		</cms:field>

		<!-- Placeholder field in order to show list of all possible mail recipients from mailing_list.php -->
		<cms:field 'mailing_list' label='Address List' desc='Please select all recipients you want to send a mail' order='5'>
			<cms:input name='recipient_id' type='checkbox' trust_mode='1' opt_values='' />
			<table class="table table-primary table-list">
				<thead>
					<tr>
						<th class="col-checkbox">
							<label class="ctrl checkbox"><input class="checkbox-all" type="checkbox" name="check-all" /><span class="ctrl-option tt" title="Select/Deselect All"></span></label>    
						</th>
						<th class="col-title">
							Name    
						</th>
						<th class="col-title">
							Email address    
						</th>
					</tr>
				</thead>
				<tbody id="listing">
				<cms:pages masterpage='mailing_list.php' token=k_cur_token >
					<tr>
						<td class="col-checkbox">
							<label class="ctrl checkbox"><input type="checkbox" value="<cms:show k_page_id />" class="page-selector checkbox-item" name="recipient_id[]" id="page-selector-<cms:show k_page_id />"/><span class="ctrl-option"></span></label>    
						</td>
						<td class="col-title">
							<a href="<cms:admin_link />">
								<cms:show firstname /> <cms:show lastname />
							</a>
						</td>
						<td class="col-title">
							<cms:show mail />
						</td>
					</tr>
				</cms:pages>
				</tbody>
			</table>
		</cms:field>

		<!-- Replace the 'action' editable with custom dropdown input field -->
		<cms:field 'action_helper' label='Action' desc='Please select the action you want to trigger' order='6'>
			<cms:input type='dropdown'
				name=k_field_input_name
				opt_values='Do Nothing=0|Send test mail to myself=1|Send mail to selected people=2'
				opt_selected='0'
			/>
		</cms:field>

		<cms:field 'selected_helper' skip='1' />

	</cms:config_form_view> 

</cms:template>
<html>
<head></head>
<body>
	<cms:dump_all/>
</body>
</html>
<?php COUCH::invoke(); ?>
