<?php ob_start();require_once( 'admin/cms.php' ); ?>
<cms:template title='Address List' parent='_templates_' order='2' executable='0' clonable='1' hidden='0' >

	<cms:editable order='1' name='firstname' type='text' label='First name' required='1' />
	<cms:editable order='2' name='lastname' type='text' label='Last name' required='1' />
	<cms:editable order='3' name='mail' type='text' label='Email address' required='1' />

	<cms:config_list_view>

		<cms:field 'k_selector_checkbox' />

		<cms:field 'name' header='Name' class='title'>
			<a href="<cms:admin_link />">
				<cms:show firstname />
				<cms:show lastname />
			</a>
		</cms:field>

		<cms:field 'mail' header='Email address' class='title' />

		<cms:field 'k_actions' />

	</cms:config_list_view> 

	<cms:config_form_view>

		<cms:persist
			k_page_name="<cms:if k_page_name==''><cms:random_name /><cms:else/><cms:show k_page_name /></cms:if>"
			k_page_title=k_page_name
			_auto_title='1'
		/>

		<cms:field 'k_page_title' desc='Seitentitel' order='1' group='_advanced_settings_' />

		<cms:field 'k_page_name' desc='Seitenname' order='2' group='_advanced_settings_' />

		<!-- Placeholder field in order to show fields in a bootstrapped form -->
		<cms:field 'fields_placeholder' no_wrapper='1' >
			<div class="row">
				<div class="col-xs-12 col-lg-4 field k_element">
					<label class="field-label" for="firstname" ><span>First name</span></label><br/>
					<cms:input type='bound'
						name='firstname'
					/>
				</div>
				<div class="col-xs-12 col-lg-4 field k_element">
					<label class="field-label" for="lastname" ><span>Last name</span></label><br/>
					<cms:input type='bound'
						name='lastname'
					/>
				</div>
				<div class="col-xs-12 col-lg-4 field k_element">
					<label class="field-label" for="mail" ><span>Email address</span></label><br/>
					<cms:input type='bound'
						name='mail'
					/>
				</div>
			</div>
		</cms:field>

		<!-- Hide fields placed obove in bootstrapped manner -->
		<cms:field 'firstname' skip='1' />
		<cms:field 'lastname' skip='1' />
		<cms:field 'mail' skip='1' />

	</cms:config_form_view>

</cms:template>
<html>
<head></head>
<body>
	<cms:dump_all/>
</body>
</html>
<?php COUCH::invoke(); ?>
